# Class AlignmentStats
Statistics about a tabular alignment.

Defined in | <seqan/align.h>
Signature | `struct AlignmentStats;`

## Member Function Overview

- `AlignmentStats::AlignmentStats();`
  Constructor

## Interface Function Overview

- `void clear(stats);`
  Resets all members to `0`.

## Member Variable Overview

- `float AlignmentStats::alignmentIdentity`
  The resulting alignment percent identity (match).
- `unsigned AlignmentStats::alignmentLength`
  Length of the aligned region
- `int AlignmentStats::alignmentScore`
  The resulting alignment score.
- `float AlignmentStats::alignmentSimilarity`
  The resulting alignment percent similarity (positive).
- `unsigned AlignmentStats::numDeletions`
  Number of gaps in query relative to reference.
- `unsigned AlignmentStats::numGapExtensions`
  Number of gap extension events.
- `unsigned AlignmentStats::numGapOpens`
  Number of gap open events.
- `unsigned AlignmentStats::numGaps`
  Number of gap characters (sum of numGapOpens and numGapExtensions)
- `unsigned AlignmentStats::numInsertions`
  Number of gaps in reference relative to query.
- `unsigned AlignmentStats::numMatches`
  Number of match (identity) events.
- `unsigned AlignmentStats::numMismatches`
  Number of mismatch (not identity) events.
- `unsigned AlignmentStats::numNegativeScores`
  Number of residues aligned with negative score.
- `unsigned AlignmentStats::numPositiveScores`
  Number of residues aligned with positive score (0 is counted as positive).

## See Also

- computeAlignmentStats

## Member Functions Detail

### `AlignmentStats::AlignmentStats();`

Constructor

All members are initialized to `0`.

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## Interface Functions Detail

### `void clear(stats);`

Resets all members to `0`.

#### Parameters

`stats` | AlignmentStats object to clear.

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## Member Variables Detail

### `float AlignmentStats::alignmentIdentity`

The resulting alignment percent identity (match).

### `unsigned AlignmentStats::alignmentLength`

Length of the aligned region

### `int AlignmentStats::alignmentScore`

The resulting alignment score.

### `float AlignmentStats::alignmentSimilarity`

The resulting alignment percent similarity (positive).

### `unsigned AlignmentStats::numDeletions`

Number of gaps in query relative to reference.

### `unsigned AlignmentStats::numGapExtensions`

Number of gap extension events.

### `unsigned AlignmentStats::numGapOpens`

Number of gap open events.

### `unsigned AlignmentStats::numGaps`

Number of gap characters (sum of numGapOpens and numGapExtensions)

### `unsigned AlignmentStats::numInsertions`

Number of gaps in reference relative to query.

### `unsigned AlignmentStats::numMatches`

Number of match (identity) events.

### `unsigned AlignmentStats::numMismatches`

Number of mismatch (not identity) events.

### `unsigned AlignmentStats::numNegativeScores`

Number of residues aligned with negative score.

### `unsigned AlignmentStats::numPositiveScores`

Number of residues aligned with positive score (0 is counted as positive).

#### Dox Sources

    /*!
     * @class AlignmentStats
     *
     * @headerfile <seqan/align.h>
     *
     * @brief Statistics about a tabular alignment.
     *
     * @signature struct AlignmentStats;
     *
     * @see computeAlignmentStats
     *
     * @fn AlignmentStats::AlignmentStats
     *
     * @brief Constructor
     *
     * @signature AlignmentStats::AlignmentStats();
     *
     * All members are initialized to <tt>0</tt>.
     *
     * @var unsigned AlignmentStats::numGaps;
     *
     * @brief Number of gap characters (sum of numGapOpens and numGapExtensions)
     *
     * @var unsigned AlignmentStats::numGapOpens;
     *
     * @brief Number of gap open events.
     *
     * @var unsigned AlignmentStats::numGapExtensions;
     *
     * @brief Number of gap extension events.
     *
     * @var unsigned AlignmentStats::numInsertions;
     *
     * @brief Number of gaps in reference relative to query.
     *
     * @var unsigned AlignmentStats::numDeletions;
     *
     * @brief Number of gaps in query relative to reference.
     *
     * @var unsigned AlignmentStats::numMatches;
     *
     * @brief Number of match (identity) events.
     *
     * @var unsigned AlignmentStats::numMismatches;
     *
     * @brief Number of mismatch (not identity) events.
     *
     * @var unsigned AlignmentStats::numPositiveScores;
     *
     * @brief Number of residues aligned with positive score (0 is counted as
     *        positive).
     *
     * @var unsigned AlignmentStats::numNegativeScores;
     *
     * @brief Number of residues aligned with negative score.
     *
     * @var unsigned AlignmentStats::alignmentLength;
     *
     * @brief Length of the aligned region
     *
     * @var float AlignmentStats::alignmentSimilarity;
     *
     * @brief The resulting alignment percent similarity (positive).
     *
     * @var float AlignmentStats::alignmentIdentity;
     *
     * @brief The resulting alignment percent identity (match).
     *
     * @var int AlignmentStats::alignmentScore;
     *
     * @brief The resulting alignment score.
     *
     * @fn AlignmentStats#clear
     *
     * @brief Resets all members to <tt>0</tt>.
     *
     * @signature void clear(stats);
     *
     * @param[in,out] stats AlignmentStats object to clear.
     */